Advanced roadmap - Error #426

Internal Server error on Redmine 1.1.0 and Backlogs Plugin enabled
2011-02-25 16:59 - Matthias Neubert

Status: Rejected Start date: 2011-02-25
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
Source: Redmine version:

Detected on version:

Description
Hello,

in described situation when having backlogs plugin enabled clicking on Roadmap produces

internal error 500. (see [1]) In Projects where backlogs plugin is not enabled, everythign is fine.

Shure, this is not backlogs plugin issue website, but it may be easier to make advanced-roadmap more robust
against this.

regards
Matthias

(1

ActionView::TemplateError (NaN) on line #17 of app/views/versions/_overview.rhtml:

14: </ul>

15:

16: <% if version.fixed_issues.count > 0 >

17: <= progress_bar([version.closed_pourcent, version.completed_pourcent], :width => '40em’, :legend => ('%0.0f%' %
version.completed_pourcent)) >

18: <p class="progress-info">

19: <= link_to_if(version.closed_issues_count > 0, I(:label_x_closed_issues_abbr, :count => version.closed_issues_count),
:controller => 'issues’, :action => 'index’, :project_id => version.project, :status_id => 'c', :fixed_v$

20: (<%= "%0.0f" % (version.closed_issues_count.to_f/ version.fixed_issues.count * 100) %>%)

app/helpers/application_helper.rb:773:in “collect'
app/helpers/application_helper.rb:773:in "progress_bar'
app/views/versions/_overview.rhtml:17:in "~ _run_rhtml_app47views4d7versions4d7_overviewd6rhtml_lo

cals_object_overview_version'

vendor/plugins/advanced_roadmap.0.
vendor/plugins/advanced_roadmap.O0.
vendor/plugins/advanced_roadmap.O0.
vendor/plugins/advanced_roadmap.0.

3.0/app/views/versions/_info.
3.0/app/views/versions/index.
3.0/app/views/versions/index.
3.0/app/views/versions/index.

html.
html.
html.
html.

erb:1
erb:10
erb:8:1in
erb:8

“each'

/usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in 'process_request'
/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in "main_loop'
/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in "“start_request_handler
L}
/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in "~handle_spawn_applicat
ion'
/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in 'safe_fork'
/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in "handle_spawn_applicat
ion'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in °_ send_ '
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in ‘main_loop'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in "start_synchronously'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in 'start'
/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in "“start'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in " spawn_rails_application'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in "~ lookup_or_add'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in "~ spawn_rails_application'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in "“synchronize'
/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in " spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in " spawn_application'
/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in "handle_spawn_application’
/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in '_ send_ '

/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/phusion_passenger/passenger—-spawn-server:61

8/phusion_passenger/abstract_server.rb:352:in ‘main_loop'

8/phusion_passenger/abstract_server.rb:196:in 'start_synchronously'

Rendering /opt/redmine/redmine_caruso/public/500.html (500 Internal Server Error)

History

#1 - 2011-02-28 16:10 - Matthias Neubert

Hello,

| guess this is already solved in 0.3.3 because after installing it, the error was gone

#2 - 2011-02-28 22:16 - Emilio Gonzalez Montaha

- Status changed from New to Rejected
Latest version is 0.4.0, please check it out on files tab.

#3 - 2011-03-02 12:58 - Matthias Neubert

Hello I tried 0.4.0 with current backlogs combined in our test system with a fresh copy
of the productive database

again | receive:

ActionView::TemplateError (NaN) on line #17 of app/views/versions/_overview.rhtml:

14: </ul>

15:

16: <% if version.fixed_issues.count > 0 >

17: <= progress_bar([version.closed_pourcent, version.completed_pourcent], :width => '40em’, :legend => ('%0.0f%"' %
version.completed_pourcent)) >

18: <p class="progress-info">

19: <= link_to_if(version.closed_issues_count > 0, I(:label_x_closed_issues_abbr, :count => version.closed_issues_count), :controller =>
'issues', :action => 'index’, :project_id => version.pro$

20: (<%= "%0.0f" % (version.closed_issues_count.to_f / version.fixed_issues.count * 100) %>%)

app/helpers/application_helper.rb:773:in “collect'
app/helpers/application_helper.rb:773:in "progress_bar'
app/views/versions/_overview.rhtml:17:in ~_run_rhtml_app47viewsd7versionsd7_overviewdb6rhtml_locals_object_

overview_version'
vendor/plugins/advanced_roadmap.0.4
vendor/plugins/advanced_roadmap.0.4.0/app/views/versions/index.
vendor/plugins/advanced_roadmap.0.4.0/app/views/versions/index.
vendor/plugins/advanced_roadmap.0.4.0/app/views/versions/index.
/usr/lib/ruby/1.

erb:1
erb:10
html.erb:8:in
html.erb:8
8/phusion_passenger/rack/request_handler.rb:92:in "process_request'

.0/app/views/versions/_info.html.
html.

o O O

“each'

/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.
/usr/lib/ruby/1.

8/phusion_passenger/abstract_request_handler.rb:207:in "main_loop'
8/phusion_passenger/railz/application_spawner.rb:418:in "start_request_handler'
8/phusion_passenger/railz/application_spawner.rb:358:in "handle_spawn_application’
8/phusion_passenger/utils.rb:184:in “safe_fork'
8/phusion_passenger/railz/application_spawner.rb:354:in “handle_spawn_application'
rb:352:1in
rb:352:1in
rb:196:1in
8/phusion_passenger/abstract_server.rb:163:in 'start'
8/phusion_passenger/railz/application_spawner.rb:213:in
8/phusion_passenger/spawn_manager.rb:262:in " spawn_rails_application’

"__send__ '

‘main_loop'
“start_synchronously'

8/phusion_passenger/abstract_server.
8/phusion_passenger/abstract_server.
8/phusion_passenger/abstract_server.

‘start!

8/phusion_passenger/abstract_server_collection.rb:126:in "~ lookup_or_add'
8/phusion_passenger/spawn_manager.rb:256:in " spawn_rails_application’
8/phusion_passenger/abstract_server_collection.rb:80:in "“synchronize'
8/phusion_passenger/abstract_server_collection.rb:79:in " synchronize'
8/phusion_passenger/spawn_manager.rb:255:in 'spawn_rails_application’
8/phusion_passenger/spawn_manager.rb:154:in " spawn_application'
8/phusion_passenger/spawn_manager.rb:287:in "handle_spawn_application’
8/phusion_passenger/abstract_server.rb:352:in "_ _send_ '
8/phusion_passenger/abstract_server.rb:352:in “main_loop'
8/phusion_passenger/abstract_server.rb:196:in 'start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

2024-04-28

2/3


https://redmine.ociotec.com/issues/17

hence the problem isn't solved. It appears allways on backlogs enabled plugins when clicking on "Roadmap"
